> ## Name

> cgGLDisableClientState - disables a vertex attribute in the OpenGL state

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLDisableClientState( CGparameter param );

> ## Parameters

> param
>   The varying parameter for which the client state will be disabled.

> ## Return Values

> None.

> ## Description

> cgGLDisableClientState disables the vertex attribute associated with the given varying parameter.

> ## Examples

>       cgGLDisableClientState(param);

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> ## History

> cgGLDisableClientState was introduced in Cg 1.1.

> ## See Also

> cgGLEnableClientState